petsc-3.4.2 2013-07-02

# DMPlexGetSubpointMap

Returns a DMLabel with point dimension as values

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetSubpointMap(DM dm, DMLabel *subpointMap)

### Input Parameter

dm -The submesh DM

### Output Parameter

subpointMap -The DMLabel of all the points from the original mesh in this submesh, or NULL if this is not a submesh

### See Also

DMPlexCreateSubmesh(), DMPlexCreateSubpointIS()

Level:developer
Location:src/dm/impls/plex/plexsubmesh.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages